Issue 20861 - Can't save -- get General Error. General input/output error.
Can't save -- get General Error. General input/output error.
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: ui
OOo 1.1
PC Linux
: P2 trivial (vote)
: ---
Assigned To: christian.guenther
issues@graphics
: oooqa
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 03:53 UTC by davison
Modified: 2013-08-07 15:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
relatively small set of slides on which I have gotten the can't save bug (134.87 KB, application/octet-stream)
2003-10-08 04:28 UTC, davison
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description davison 2003-10-08 03:53:44 UTC
This has happened to me twice, on two different PCs, each running generic RH9. 
Note that OpenOffice1.0.X is still installed on these machines, but I'm trying
out the new 1.1.

I'm editing a file that was originally a PowerPoint file, but was converted in
an earlier session using 1.0.

In the most recent occurrence, I was able to add slides, modify, and save. 
Which I did a few times.  Then I made some more modifications (including things
like changing fonts, resizing a curve, but I can't remember all changes), and
now when I tried to save, I got a dialog saying "Error saving the document
notes-2003-10-08.sxi: General Error.  General input/output error."  [OK]

Not a particularly useful error message.

When this happened to me previously, I was rather concerned until I realized I
was able to at least save it as a .ppt file, and once I did that, I was then
able to save as an openoffice 1.0 .sxi file.  This approach also worked in this
second instance.
Comment 1 utomo99 2003-10-08 04:05:37 UTC
I also ever get sme problem. 

Please Attach the documents which make this problem, so we can test
it/faster to confirm.  
(Without the documents, we cannot confirm the problem easily/need more
time)
Don't forget to cut other part of the documents, so the file size is
small, but we still able to see the problem. 
Comment 2 davison 2003-10-08 04:28:46 UTC
Created attachment 10097 [details]
relatively small set of slides on which I have gotten the can't save bug
Comment 3 davison 2003-10-08 04:30:48 UTC
The attached file was the last version I was able to save before it
failed.  However, when I re-opened the file, I was able to re-perform
my edits and save successfully.  So I'm not convinced that it is
enough to load this file to re-generate the problem.  It may have
something to do with a history of actions taken.
Comment 4 wolframgarten 2003-10-08 07:32:29 UTC
Reassigned to Christian.
Comment 5 utomo99 2003-10-20 08:43:50 UTC
I Can Not Reproduce the problem in OpenOffice 1.1,MS Office XP Pro
Sp2, Win Xp Pro.

please try to find a way to reproduce the problem. and give more info
here. 
Thanks
Comment 6 christian.guenther 2003-10-23 09:15:02 UTC
I reopen this issue
Comment 7 christian.guenther 2003-10-23 09:22:48 UTC
This is a known bug which will be fixed in the latest internal version.
the fix will be available in OOo1.1.1
->A workaround when you get the i/o error is to click on ok, save the
document in the StarImpress 5.0 format and save it immediately a
second time in the 'normal' OOo1.0 format.
Comment 8 christian.guenther 2004-01-29 16:16:38 UTC
The fix is integrated in OOo1.1.1 in Sols, Lin, Win.
OOo1.1.1 will be available soon.
Please reopen the issue if the bug still occures in OOo1.1.1